Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Attributes | List of all members
eZ\Publish\Core\FieldType\Relation\NameableField Class Reference

Class NameableField for Relation FieldType. More...

Inheritance diagram for eZ\Publish\Core\FieldType\Relation\NameableField:

## Public Member Functions
| __construct (SPIContentHandler $handler)
| getFieldName (SPIValue $value, FieldDefinition $fieldDefinition, $languageCode)
Public Member Functions inherited from eZ\Publish\SPI\FieldType\Nameable
| getFieldName (Value $value, FieldDefinition $fieldDefinition, $languageCode)
| Returns a human readable string representation from a given field. More...

## Private Attributes
| $handler

## Detailed Description

Class NameableField for Relation FieldType.

Definition at line 18 of file Relation/NameableField.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\FieldType\Relation\NameableField::__construct | ( | SPIContentHandler | $handler | ) |

Parameters

  \eZ\Publish\SPI\Persistence\Content\Handler | $handler |

Definition at line 26 of file Relation/NameableField.php.

References eZ\Publish\Core\FieldType\Relation\NameableField\$handler.

## Member Function Documentation

## ◆ getFieldName()

eZ\Publish\Core\FieldType\Relation\NameableField::getFieldName | ( | SPIValue | $value,
|  | FieldDefinition | $fieldDefinition,
|  |  | $languageCode
| ) |  |

Parameters

  \eZ\Publish\Core\FieldType\Relation\Value | $value |
  \eZ\Publish\API\Repository\Values\ContentType\FieldDefinition | $fieldDefinition |
  string | $languageCode |

Returns
  string

Definition at line 38 of file Relation/NameableField.php.

## Member Data Documentation

## ◆ $handler

eZ\Publish\Core\FieldType\Relation\NameableField::$handler
| private

Definition at line 21 of file Relation/NameableField.php.

Referenced by eZ\Publish\Core\FieldType\Relation\NameableField\__construct().

The documentation for this class was generated from the following file:

- Relation/NameableField.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.